package nl.meandi.txtimeout;

import org.jboss.ejb3.annotation.TransactionTimeout;

import javax.ejb.Stateless;
import java.util.concurrent.TimeUnit;

@Stateless
public class TestBean {

    public void testWithoutTransactionTimeout() {
        throw new RuntimeException();
    }

    @TransactionTimeout(value = 1, unit = TimeUnit.SECONDS)
    public void testWithTransactionTimeout() {
        System.out.println("Test has been invoked");
        try {
            Thread.sleep(2000);
        } catch (InterruptedException e) {
            Thread.currentThread().interrupt();
        }
        throw new RuntimeException();
    }
}
